Subject: Re: [PATCH] git-cat-file.txt: fix list continuations rendering literally

From: Junio C Hamano <[email-masked]>
Date: Wed, 18 Jan 2023 08:23:48 -0800

Martin Ågren <[email-masked]> writes:

> With Asciidoctor, all of the '+' introduced in a797c0ea04 ("cat-file:
> add mailmap support to --batch-check option", 2022-12-20) render
> literally rather than functioning as list continuations. With asciidoc,
> this renders just fine.

Good to have somebody who is careful to notice these differences ;-)

> For consistency, let's wrap all three of these inner lists from
> a797c0ea04 in open blocks. This also future-proofs us a little -- if we
> ever gain more contents after any of those first two lists, as we did
> already in a797c0ea04 for the third list, we're prepared and should
> render fine with both asciidoc and Asciidoctor from the start.

Nice.

Are you comparing both roff output and html output, by the way?

Thanks.